Bundlewrap(1)

NAME
bundlewrap - Decentralized configuration management system with Python

SYNOPSIS
bundlewrap [-h] [-a] [-A] [-d] [-r DIRECTORY] [--version] {apply, debug, groups, hash, items, lock, metadata, nodes, plot, repo, run, stats, test, verify, zen} ...

DESCRIPTION
BundleWrap fills the gap between complex deployments using Chef or Puppet and old school system administration over SSH. You do not need to know any Python in order to use Bundlewrap, but you can easily extend your bundles using Python.

While most other config management systems rely on a client-server architecture, BundleWrap works off a repository cloned to your local machine.

It then automates the process of SSHing into your servers and making sure everything is configured the way it's supposed to be. You won't have to install anything on managed servers.

OPTIONAL ARGUMENTS

-h, --help show this help message and exit

-a, --add-host-keys
    set StrictHostKeyChecking=no instead of yes for SSH

-A, --adhoc-nodes
    treat unknown node names as adhoc 'virtual' nodes that receive configuration only through groups whose member_patterns match the node name given on the command line (which also has to be a resolvable hostname)

-d, --debug
    print debugging info (implies -v)

-r DIRECTORY, --repo-path DIRECTORY
    Look for repository at this path (defaults to current working directory)

--version
    show program's version number and exit

SUBCOMMANDS:

use 'bw <subcommand> --help' for more info

apply
    Applies the configuration defined in your repository to your nodes

debug
    Start an interactive Python shell for this repository

groups
    Lists groups in this repository (deprecated, use `bw nodes -a`)

hash
    Shows a SHA1 hash that summarizes the entire configuration for this repo, node, group, or item.

items
    List and preview items for a specific node

lock
    Manage locks on nodes used to prevent collisions between BundleWrap users

metadata
    View a JSON representation of a node's metadata

nodes
    List all nodes in this repository

plot
    Generates DOT output that can be piped into `dot -Tsvg -ooutput.svg`. The resulting output.svg can be viewed using most browsers.

repo
    Various subcommands to manipulate your repository

run Run a one-off command on a number of nodes

stats
    Show some statistics about your repository

test
    Test your repository for consistency (you can use this with a CI tool like Jenkins)

verify
    Inspect the health or 'correctness' of a node without changing it

REPORTING BUGS
Bundlewrap bug tracker: https://github.com/bundlewrap/bundlewrap/issues

AUTHORS
This manual page was written by Jonathan Carter <jcarter@linux.com> Bundlewrap was written by Torsten Rehn <torsten@rehn.email>